<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_e6d18c493faa20d5" . "d45c0751d2c02ce6" => base64_decode("TG9jY" . "XRpb2" . "46IA=" . "="), "_bd8510ebf29b0f6" . "87c25c90c740715d" . "8" => base64_decode("aHR0cF9yZXNwb25zZV9jb2R" . "l"), "_c91b0ff19f81a8873a4593a237194" . "72c" => base64_decode("cnRyaW" . "0="), "_2b2486424e6dfb906c925739c3" . "29be7c" => base64_decode("aGVhZ" . "GVy"), "_14feb73099827a30c31c0b" . "996c13f13c" => base64_decode("b25LZX" . "JuZWxS" . "ZXF1ZX" . "N0"), "_87daa84e346f6420a3f3426e0" . "5d16a7b" => base64_decode("Lw=" . "="), "_db7b295629faa16027a2c2630" . "95eba70" => base64_decode("cGhwX3NhcGlfbmFtZQ=" . "="), "_8ec8f26c742" . "278f90615f50" . "d682eea79" => base64_decode("UE9TV" . "A=="), "_4d707fab93bebb00b" . "be69e8159697c90" => base64_decode(""), "_8fec21706bd243b37ecf62b1caf8fb" . "8a" => base64_decode("Y2" . "xp"), "_fad3a97fa7919b1999c977c8bdad92" . "5a" => base64_decode("c3ltZm9ueV9yZXF1ZXN" . "0"), "_ab8b6a5" . "b56b4cfd" . "73230ed5" . "cad4fb54" . "c" => base64_decode("Y29yZS5i" . "b290ZWQ="), "_eea266d1da508f42deea" . "49cc3add68ec" => base64_decode("UFV" . "U"), "_e06da3ffba2e84b8e6f94b" . "d2d6ca3c52" => base64_decode("Y3JlYXRlX2lu" . "dGVybmFsX2xp" . "bms="), "_781e2532c1e56969c535c11" . "84064bae6" => base64_decode("b25Db3JlQ" . "m9vdA=="));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c91b0ff" . "19f81a88" . "73a4593a" . "23719472" . "c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_87daa84e346f64" . "20a3f3426e05d16" . "a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_14feb730998" . "27a30c31c0b9" . "96c13f13c"], 1536), $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ab8b6a5b56b4c" . "fd73230ed5cad4" . "fb54c"] => $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_781e2532c1e56969c535c1184064ba" . "e6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe69e8159697c9" . "0"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8ec8f26" . "c742278f" . "90615f50" . "d682eea7" . "9"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_eea266d1da508f42d" . "eea49cc3add68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_db7b295629faa16027a" . "2c263095eba70"]() === $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_8fec21706bd243b37ecf62b1caf8fb" . "8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_fad3a97fa7919b1999" . "c977c8bdad925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_e06da3ffba2e84b8e" . "6f94bd2d6ca3c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4d707fab93bebb00bbe69e81" . "59697c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_bd8510ebf29b0f687c25c90c740715" . "d8"](301);
            $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_2b2486424e6dfb906c925739c" . "329be7c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e6d18c493faa20d5d4" . "5c0751d2c02ce6"] . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_e06da3ffba2e84b8e6f94bd2" . "d6ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}